# class Node::WriteOnlyYaml

This is a WriteOnlyYaml terminus that exists only for the purpose of being able to write node cache data that later can be read by the YAML terminus. The use case this supports is to make it possible to search among the “current nodes” when Puppet DB (recommended) or other central storage of information is not available.

@see puppet issue 16753 @see Puppet::Application::Master#setup_node_cache @api private

### Public Instance Methods

find(request) click to toggle source

Overridden to always return nil. This is a write only terminus. @param [Object] request Ignored. @return [nil] This implementation always return nil’ @api

    # File lib/puppet/indirector/node/write_only_yaml.rb, line 21
    def find(request)
      nil
    end

search(request) click to toggle source

Overridden to always return nil. This is a write only terminus. @param [Object] request Ignored. @return [nil] This implementation always return nil @api

    # File lib/puppet/indirector/node/write_only_yaml.rb, line 29
    def search(request)
      nil
    end